Subject: Re: bug#44929: 28.0.50; Info-next-reference skips next reference

From: Stephen Berman <[email-masked]>
Date: Sat, 28 Nov 2020 20:54:17 +0100

On Sat, 28 Nov 2020 21:44:19 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Date: Sat, 28 Nov 2020 20:21:50 +0100
>>
>> 0. emacs -Q
>> 1. C-h r (if emacs is installed, otherwise `C-u h i /path/to/emacs.info
>>    RET')
>> 2. Repeat `C-n' until the cursor is on the '*' before the first menu
>>    item 'Distrib'.
>> 3. Type TAB
>> => The cursor jumps over 'Distrib' and goes to the second menu item
>>    'Intro'.
>>
>> The same thing happens if the cursor is on the space between '*' and
>> 'Distrib' and you then press TAB.  In both cases, I expected the cursor
>> to go to the immediately following link instead of skipping it.
>
> AFAIU, your expectation is wrong: TAB runs the command
> Info-next-reference, where the "next" part means "not the current
> one".  For the "current" reference, press RET.

I didn't know that RET works anywhere on the line (or lines) of the menu
item, not just on the link, and it never occurred to me to try.  Thanks
for enlightening me.  Closing.

Steve Berman